CI/CD webhook: refresh all demos in project
POST
/api/v1/webhooks/projects/{id}/refresh
Authentication
Bearer Token API Key (header: X-Webhook-Secret)
Path Parameters
id
string
required
path
Responses
200
Refresh queued
application/jsonrefreshed
number
REQUIRED
jobs
object[]
REQUIRED
Array of:
demoId
string
REQUIRED
jobId
string
REQUIRED
401
Unauthorized
403
Forbidden (plan restriction)
curl -X POST 'https://littledemo.com/api/v1/webhooks/projects/string/refresh' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://littledemo.com/api/v1/webhooks/projects/string/refresh', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://littledemo.com/api/v1/webhooks/projects/string/refresh', headers=headers)print(response.json())
200
Response
{ "refreshed": 123, "jobs": [ { "demoId": "<string>", "jobId": "<string>" } ]}
API Playground
Try this endpoint
POST
/api/v1/webhooks/projects/{id}/refresh